Full name: projects.locations.instances.dashboards.batchMigrate
Batch migrate legacy dashboards to native dashboards.
HTTP request
POST https://{endpoint}/v1alpha/{parent}/dashboards:batchMigrate
Where {endpoint} is one of the supported service endpoints.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent resource where the dashboards will be migrated. Format: projects/{project}/locations/{region}/instances/{instance} |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "dashboards": [ string ] } |
| Fields | |
|---|---|
dashboards[] |
Required. The resource names of the dashboards to migrate. |
Response body
Response message for batch migrating dashboards.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"migrationJobId": string,
"jobMigrationStatus": enum ( |
| Fields | |
|---|---|
migrationJobId |
Output only. The ID of the migration job. |
jobMigrationStatus |
Output only. The status of the migration job. |
endTime |
Output only. The time when the migration job ended. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/chroniclehttps://www.googleapis.com/auth/chronicle.readonly
For more information, see the Authentication Overview.